Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157221 - yum scriptlet failed
Summary: yum scriptlet failed
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: 4
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-09 15:34 UTC by Doug Henderson
Modified: 2014-01-21 22:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-27 02:55:03 UTC


Attachments (Terms of Use)

Description Doug Henderson 2005-05-09 15:34:30 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.7) Gecko/20050414 Firefox/1.0.3

Description of problem:
running kernel-2.6.11-1.1286_FC4 and ignoring the presence of some selinux message during reboot.

Here are the last few lines of the yum update output:

Downloading Packages:
(1/1): kernel-2.6.11-1.12 100% |=========================|  14 MB    00:51
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
error: %pre(kernel-2.6.11-1.1287_FC4.i686) scriptlet failed, exit status 255
error:   install: %pre scriptlet failed (2), skipping kernel-2.6.11-1.1287_FC4

Installed: kernel.i686 0:2.6.11-1.1287_FC4
Complete!

It last two messages suggest success, however the 1287 kernel is not installed.

I rebooted, adding selinux=0 to boot parameters, and the yum update really successfully installed kernel-2.6.11-1.1287_FC4

I think there are two errors here. One with yum - for reporting success when it in fact failed. The other with selinux. This bug report is for yum.



Version-Release number of selected component (if applicable):
kernel-2.6.11-1.1287_FC4

How reproducible:
Always

Steps to Reproduce:
1. boot kernel-2.6.11-1.1286_FC4
2. yum remove kernel-2.6.11-1.1287_FC4
3. yum update
  

Additional info:

Comment 1 Seth Vidal 2005-05-09 17:28:26 UTC
rpm/selinux bug - not yum.

reassigning

Comment 2 Doug Henderson 2005-05-24 23:13:54 UTC
This problem has not occured with FC4test3.

I suspect this problem is no longer reproducable. I have no objection to seeing
it closed on that account.



Comment 3 John Hodrien 2005-07-08 10:42:44 UTC
Sadly I've just had this problem on an FC4 final box during a full update a week
ago.  Having tracked it down to this bug.  It was completely repeatable. 
Disabled selinux and all was well.  Did a full upgrade to today's packages,
restarted with selinux enabled and I can't repeat it anymore...

Comment 4 Jeff Johnson 2005-08-27 02:55:03 UTC
This problem appears unreproducible, and related to selinux behavior. Reopen and assign to selinux if you 
want it fixed.


Note You need to log in before you can comment on or make changes to this bug.